# Module cargo::util_schemas::restricted_names

source ·
Expand description

Helpers for validating and checking names like package and crate names.

## Functions

- sanitize_package_name
  Ensure a package name is valid
- validate_feature_name
- validate_package_name
  Check the base requirements for a package name.
- validate_profile_name
  Validate dir-names and profile names according to RFC 2678.